[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: strange (64bit) requirements in mock i386



On Monday 31 December 2007, Michael E Brown wrote:
> On Wed, Dec 19, 2007 at 12:45:38AM +0200, Manuel Wolfshant wrote:
> > On 12/18/2007 11:59 PM, Patrice Dumas wrote:
> > >Hello,
> > >
> > >There is a build error with xbae bringing in (64bit)
> > >sonames in i386:
> > >http://buildsys.fedoraproject.org/logs/fedora-4-epel/37539-cernlib-2006-
> > >19.el4/i386/root.log
> > >
> > >When I install xbae on a i386 centos4 box, it goes fine.
> > >
> > >Any idea on what goes wrong?
> >
> > DEBUG backend.py:481:  /usr/bin/yum --installroot
> > /var/lib/mock/fedora-4-i386-epel-64fe42675f1b137a16710577698df965c5984139
> >/root/  resolvedep  'xorg-x11-devel' 'tcsh' 'xbae-devel' 'lapack' 'blas'
> > 'gawk' 'desktop-file-utils' '/usr/bin/g77' DEBUG util.py:239:  run cmd
> > timeout(0): /usr/bin/yum --installroot
> > /var/lib/mock/fedora-4-i386-epel-64fe42675f1b137a16710577698df965c5984139
> >/root/  resolvedep  'xorg-x11-devel' 'tcsh' 'xbae-devel' 'lapack' 'blas'
> > 'gawk' 'desktop-file-utils' '/usr/bin/g77' DEBUG util.py:212:  Ran
> > setarch 'i386'
> > DEBUG util.py:260:  0:xorg-x11-devel-6.8.2-1.EL.33.i386
> > DEBUG util.py:260:  0:tcsh-6.13-9.el4.1.i386
> > DEBUG util.py:260:  0:xbae-devel-4.60.4-8.el4.1.x86_64 <---------- this
> > one is wrong
> > DEBUG util.py:260:  0:lapack-3.0-25.1.i386
> > DEBUG util.py:260:  0:blas-3.0-25.1.i386
> > DEBUG util.py:260:  0:gawk-3.1.3-10.1.i386
> > DEBUG util.py:260:  0:desktop-file-utils-0.9-3.el4.i386
> > DEBUG util.py:260:  0:gcc-g77-3.4.6-9.i386
> >
> > No idea why the 64bit version of xbae-devel gets pulled in, especially
> > since this happens in my local mock, too. Looks like setarch i386 is not
> > enough.
>
> This looks like some sort of yum problem. Does EL4 have combined
> i386/x86_64 repos? Why are there 64-bit rpms in the i386 EL4 repository?
>
> You may try "fixing" this by putting an "exclude=*.x86_64" in the
> yum.conf section of the mock config.
> --
this is a long standing problem where if there is a /etc/rpm/platform file 
things get confused  the plague needsign repo contains ppc i386 and x86_64   
removing the /etc/rpm/platform file fixes the problem.  which i did.  things 
have long reverted to normal.

Dennis


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]